Bug 14017 - proxy patch wontfix
: proxy patch wontfix
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/xmms-scrobbler)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://www.google.com/search?hl=ru&q=...
:
:
:
  Show dependency tree
 
Reported: 2008-01-15 17:21 by
Modified: 2008-04-22 13:29 (History)


Attachments
xmms-scrobbler-0.3.8.1-proxy.patch (10.74 KB, patch)
2008-02-04 23:56, Michael Shigorin
no flags Details | Diff
xmms-scrobbler-0.3.8.1-enc-proxy.patch (15.08 KB, patch)
2008-02-04 23:57, Michael Shigorin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-15 17:21:41
история болезни
когда я только-только перелез на линух и установил скробблер на xmms, то был
неприятно удивлен отсутствием работы через прокси. к тому же, русские буквы
скробблер вообще не понимал, наверное, потому что мой rh9 собран на utf8. если
кто видел скробблер на виндовзе, то может сравнить функционал с xmms-ным:) мягко
говоря, убого :) кстати, xmmms-scrobbler был версии 0.3.6 и слит именно с этого
сайта из раздела downloads. побороздив просторы и-нета, я натнулся на патч
перекодировки тегов, т.е. в окне конфига плагина можно указать кодировку по
умолчанию для тегов, и он из, значить, будет перекодировать, как я заключил
потом из сорсов, через iconv(). но вот незадача - патч под версию 0.3.8.1, а у
мну 0.3.6. непорядок. побороздив еще немного, слили xmms-scrobbler-0.3.8.1.
пропатчил. работает. ну и ладно, с этим разобрался. далее - прокси. такого патча
не оказалось. пришлось немного поклавишевать. GTK - жуткая вешь, я вам скажу. Qt
- он намного элегантнее.

излечение
код сам по себе очень прямолинейный, потому что я просто скопировал функции
sc_handshake() и sc_submitentry(), добавив в них по строчке с опцией прокси.
также засандалил в ГУЙевый конфиг плагина соответствующее поле для ввода адреса.
формат адреса обычный - http://хост:порт. но здесь можно адрес вообще не
вводить, а использовать переменную окружения HTTP_PROXY в таком же аксепте:)

ну и собсна результаты ударного труда:)

xmms-scrobbler-0.3.8.1-enc-proxy.patch
http://mail.webmail.kz/~dpurgin/xmms-scrobbler-0.3.8.1-enc-proxy.patch
если у вас девственный 0.3.8.1, без перекодировщика тегов, то этот патч - для
вас. добавит и перекодировщик, и прокси.

xmms-scrobbler-0.3.8.1-proxy.patch
http://mail.webmail.kz/~dpurgin/xmms-scrobbler-0.3.8.1-proxy.patch
это если у вас уже пропатченный перекодировщиком

по поводу прокси-патча пишите мне на <dpurgin at webmail.kz>
------- Comment #1 From 2008-01-15 20:58:03 -------
Не использую.
------- Comment #2 From 2008-01-20 20:37:36 -------
Андрюш, не хочешь забрать пакет?
------- Comment #3 From 2008-01-21 11:27:14 -------
мну потребуется разворачивать сборочную среду. домашний комп продал, а на
работе
нету возможности. скорее нет, чем да. sorry.
------- Comment #4 From 2008-02-04 23:55:13 -------
Э, сборочную среду я тебе как раз могу предоставить.  Вот хватит ли удалённой?
------- Comment #5 From 2008-02-04 23:56:53 -------
Created an attachment (id=2412) [details]
xmms-scrobbler-0.3.8.1-proxy.patch

Давай-ка патчи привесим, мало ли чего...
------- Comment #6 From 2008-02-04 23:57:18 -------
Created an attachment (id=2413) [details]
xmms-scrobbler-0.3.8.1-enc-proxy.patch

PS: сборочную среду я тебе как раз могу предоставить.  Вот хватит ли удалённой?
------- Comment #7 From 2008-04-22 13:29:39 -------
В принципе можно от этого отказаться если использовать конструкцию вида
http_proxy="http://proxy:8080" /usr/bin/xmms
работает.